

namespace GMLL00ImportadorXsd.Logica
{
    using System;
    using System.ComponentModel;
    using System.IO;

    public class FicheroTexto
    {
        public FicheroTexto()
        {

        }

        public void EscribirTexto(string rutaFichero, string nombreFichero, string texto)
        {
            StreamWriter swSalida = null;
            string[] words;

            try
            {
                swSalida = new System.IO.StreamWriter(rutaFichero + "\\" + nombreFichero, true);

                words = texto.Split('\n');
                if (words.Length > 0)
                {
                    for (int i = 0; i <= words.Length - 1; i++)
                    {
                        swSalida.WriteLine(words[i].ToString());
                    }
                }
                else
                {
                    swSalida.WriteLine(texto);
                }
            }
            finally
            {
                swSalida.Close();
            }
        }
    }

}
